Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 713378 - net-dialup/accel-ppp-1.12.0 with sys-libs/musl: /.../ld: accel-pppd/.../libtriton.so: undefined reference to getcontext
Summary: net-dialup/accel-ppp-1.12.0 with sys-libs/musl: /.../ld: accel-pppd/.../libtr...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo musl team
URL: https://github.com/xebd/accel-ppp/iss...
Whiteboard:
Keywords:
Depends on:
Blocks: musl-porting
  Show dependency tree
 
Reported: 2020-03-19 11:09 UTC by Toralf Förster
Modified: 2020-09-14 11:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.35 KB, text/plain)
2020-03-19 11:09 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,106.62 KB, text/plain)
2020-03-19 11:09 UTC, Toralf Förster
Details
environment (environment,126.31 KB, text/plain)
2020-03-19 11:09 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.46 KB, application/x-bzip)
2020-03-19 11:09 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,3.79 KB, application/x-bzip)
2020-03-19 11:09 UTC, Toralf Förster
Details
net-dialup:accel-ppp-1.12.0:20200318-221231.log (net-dialup:accel-ppp-1.12.0:20200318-221231.log,43.16 KB, text/plain)
2020-03-19 11:09 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,32.19 KB, application/x-bzip)
2020-03-19 11:09 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-19 11:09:13 UTC
: && /usr/bin/x86_64-gentoo-linux-musl-gcc -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -Wall -fno-strict-aliasing -D_GNU_SOURCE -fPIC -rdynamic -Wno-unused-result -fvisibility=hidden  -Wl,-O1 -Wl,--as-needed -Wl,-z,lazy    -rdynamic accel-pppd/CMakeFiles/accel-pppd.dir/memdebug.c.o accel-pppd/CMakeFiles/accel-pppd.dir/session.c.o accel-pppd/CMakeFiles/accel-pppd.dir/session_backup.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ifcfg.c.o accel-pppd/CMakeFiles/accel-pppd.dir/net.c.o accel-pppd/CMakeFiles/accel-pppd.dir/backup/backup.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ppp.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ppp_fsm.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ppp_lcp.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/lcp_opt_mru.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/lcp_opt_magic.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/lcp_opt_pcomp.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/lcp_opt_accomp.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ppp_auth.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ppp_ipcp.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ipcp_opt_ipaddr.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ipcp_opt_dns.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ipcp_opt_wins.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ipv6cp_opt_intfid.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ppp_ipv6cp.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ppp_ccp.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ppp/ccp_mppe.c.o accel-pppd/CMakeFiles/accel-pppd.dir/cli/std_cmd.c.o accel-pppd/CMakeFiles/accel-pppd.dir/cli/show_sessions.c.o accel-pppd/CMakeFiles/accel-pppd.dir/cli/telnet.c.o accel-pppd/CMakeFiles/accel-pppd.dir/cli/tcp.c.o accel-pppd/CMakeFiles/accel-pppd.dir/cli/cli.c.o accel-pppd/CMakeFiles/accel-pppd.dir/libnetlink/libnetlink.c.o accel-pppd/CMakeFiles/accel-pppd.dir/libnetlink/iputils.c.o accel-pppd/CMakeFiles/accel-pppd.dir/libnetlink/genl.c.o accel-pppd/CMakeFiles/accel-pppd.dir/libnetlink/ipset.c.o accel-pppd/CMakeFiles/accel-pppd.dir/pwdb.c.o accel-pppd/CMakeFiles/accel-pppd.dir/ipdb.c.o accel-pppd/CMakeFiles/accel-pppd.dir/iprange.c.o accel-pppd/CMakeFiles/accel-pppd.dir/utils.c.o accel-pppd/CMakeFiles/accel-pppd.dir/rbtree.c.o accel-pppd/CMakeFiles/accel-pppd.dir/log.c.o accel-pppd/CMakeFiles/accel-pppd.dir/main.c.o  -o accel-pppd/accel-pppd -L/var/tmp/portage/net-dialup/accel-ppp-1.12.0/work/accel-ppp-1.12.0_build/accel-pppd/triton -Wl,-rpath,/var/tmp/portage/net-dialup/accel-ppp-1.12.0/work/accel-ppp-1.12.0_build/accel-pppd/triton:  accel-pppd/triton/libtriton.so  -lrt  -lpthread  -lcrypto  -lssl  -lpcre  -ldl && :
/usr/lib/gcc/x86_64-gentoo-linux-musl/9.3.0/../../../../x86_64-gentoo-linux-musl/bin/ld: accel-pppd/triton/libtriton.so: undefined reference to getcontext
/usr/lib/gcc/x86_64-gentoo-linux-musl/9.3.0/../../../../x86_64-gentoo-linux-musl/bin/ld: accel-pppd/triton/libtriton.so: undefined reference to setcontext
collect2: error: ld returned 1 exit status
ninja: build stopped: subcommand failed.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_musl-20200316-165821

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-gentoo-linux-musl-9.3.0 *
clang version 10.0.0 
Target: x86_64-gentoo-linux-musl
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.1 *

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 18 Mar 2020 13:38:27 +0000
emerge -qpvO net-dialup/accel-ppp
[ebuild  N    ] net-dialup/accel-ppp-1.12.0  USE="-debug -doc -ipoe -lua -postgres -radius -shaper -snmp -valgrind"
Comment 1 Toralf Förster gentoo-dev 2020-03-19 11:09:16 UTC
Created attachment 622170 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-19 11:09:19 UTC
Created attachment 622172 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-19 11:09:22 UTC
Created attachment 622174 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-19 11:09:24 UTC
Created attachment 622176 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-19 11:09:27 UTC
Created attachment 622178 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-19 11:09:30 UTC
Created attachment 622180 [details]
net-dialup:accel-ppp-1.12.0:20200318-221231.log
Comment 7 Toralf Förster gentoo-dev 2020-03-19 11:09:33 UTC
Created attachment 622182 [details]
temp.tbz2
Comment 8 Sergey Popov gentoo-dev 2020-09-14 11:17:19 UTC
Upstream has low interest in porting accel-ppp on anything other than glibc - referenced pull request was closed.